
      integer tdcid(12),evcount(12)
      integer tdcmask(12),adc(4,12),tdc(4,12)
      integer temp1(12),temp2(12)
      COMMON / tofvar /tdcid,evcount,tdcmask,adc,tdc,temp1,temp2


      integer*4 trig_evcount
      integer pmtpl(3), trigrate(6), dltime(2), s4calcount(2)
      integer pmtcount1(24), pmtcount2(24)
      integer*4 patternbusy(3)
      integer patterntrig(6), trigconf
      COMMON / trig / trig_evcount, pmtpl, trigrate, dltime,
     &     s4calcount, pmtcount1, pmtcount2, 
     &     patternbusy, patterntrig, trigconf

      parameter (ntp_tof=17)

      logical good
      integer nev_trk
      common / event_tof /good,nev_trk
